#language: ru

@financial_results

Функционал: 005. financial_results. Поступление дополнительных затрат

Сценарий: 005.1. financial_results. Поступление дополнительных затрат 21.02.2021

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.005. ФинРез"
	Дано я удаляю объекты "Документы.к2ПоступлениеДополнительныхЗатрат" без контроля ссылок
	И Я начинаю создавать поступление дополнительных затрат на дату "21.02.2021"
	И из выпадающего списка с именем "Холдинг" я выбираю по строке 'Дом молока'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Нижегородское молоко'
	И в поле с именем 'НомерПоДаннымКлиента' я ввожу текст '1'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'ТД_Молочный мир'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Склад готовой продукции'
	И в поле с именем 'Комментарий' я ввожу текст 'ПоступлениеДопЗатратНижегородскоеМолоко'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыПодобрать'
	Тогда открылось окно 'Подбор поступлений'
	И я нажимаю кнопку выбора у поля с именем "Период"
	И Я указываю в диалоге стандартного периода период с "21.02.2021" по "21.02.2021"
	Тогда открылось окно 'Подбор поступлений'
	И я нажимаю на кнопку с именем 'ТоварыЗаполнить'
	Тогда таблица "Товары" стала равной по шаблону:
		| 'Документ поступления'                        | 'Отметка' | 'Серия'                        | 'Номенклатура' | 'Ед.' | 'Характеристика' | 'Количество' | 'Всего, RUB' | 'Ставка НДС' | 'Вес, кг' |
		| 'Поступление товаров и услуг * от 21.02.2021' | 'Да'      | '000001 до 07.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '10,000'     | '360,00'     | '20%'        | '10'      |
		| 'Поступление товаров и услуг * от 21.02.2021' | 'Да'      | '000001 до 07.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '10,000'     | '320,00'     | '20%'        | '10'      |
	И я нажимаю на кнопку с именем 'ФормаПередать'
	Тогда открылось окно 'Поступление доп. затрат (создание) *'
	И я перехожу к закладке с именем "СтраницаУслуги"
	И я заполняю таблицу "Услуги" данными
		| 'Количество' | 'Номенклатура'        | 'Цена, RUB' |
		| '1,000'      | 'Доставка поставщика' | '10,00'     |
	И я перехожу к закладке с именем "СтраницаТовары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыРаспределитьПоСумме'
	* Проверка заполнения поступлений доп. затрат
		И элемент формы с именем "Соглашение" стал равен 'Соглашение с Нижегородским молоком с 01.01.2021'
		И элемент формы с именем "Заказ" стал равен ''
		И элемент формы с именем "Холдинг" стал равен 'Дом молока'
		И элемент формы с именем "Контрагент" стал равен 'Нижегородское молоко'
		И элемент формы с именем "Склад" стал равен 'Склад готовой продукции'
		И элемент формы с именем "ДатаДоставки" стал равен '21.02.2021'
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Дата" стал равен '21.02.2021  0:00:00'
		И элемент формы с именем "НомерПоДаннымКлиента" стал равен '1'
		И элемент формы с именем "ДатаПоДаннымКлиента" стал равен '21.02.2021'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "МоментОпределенияЦены" стал равен 'На дату заказа'
		И элемент формы с именем "ВидЦен" стал равен 'Цены: Нижегородское молоко'
		И элемент формы с именем "ЦенаВключаетНДС" стал равен 'Да'
		И элемент формы с именем "Налогообложение" стал равен 'Облагается (с НДС)'
		И таблица "Товары" стала равной по шаблону:
			| 'Услуги, RUB' | 'Количество' | 'Поступление'                                 | 'Номенклатура' | 'Коэф.' | 'Ед.' | 'Характеристика'    | 'Серия'                        | 'Всего, RUB' | '% НДС' | 'Вес, кг' |
			| '5,29'        | '10,000'     | 'Поступление товаров и услуг * от 21.02.2021' | 'Молоко 3,2 %' | ''      | 'шт'  | '<не используются>' | '000001 до 07.03.2021 0:00:00' | '360,00'     | '20%'   | '10'      |
			| '4,71'        | '10,000'     | 'Поступление товаров и услуг * от 21.02.2021' | 'Молоко 2,5 %' | ''      | 'шт'  | '<не используются>' | '000001 до 07.03.2021 0:00:00' | '320,00'     | '20%'   | '10'      |
		И таблица "Услуги" стала равной:
			| 'Количество' | '% Скидки' | 'Номенклатура'        | 'Ед.' | 'Цена, RUB' | 'Скидка' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' |
			| '1,000'      | '%'        | 'Доставка поставщика' | 'шт'  | '10,00'     | 'сумма'  | '10,00'                | '10,00'      | '20%'   | '1,67'     | '10,00'      |
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Подразделение" стал равен ''
		И элемент формы с именем "Комментарий" стал равен 'ПоступлениеДопЗатратНижегородскоеМолоко'
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '1,67'
		И элемент формы с именем "СуммаДокумента" стал равен '10,00'
	И я нажимаю на кнопку с именем 'ФормаЗаписать'
	Тогда открылось окно 'Поступление дополнительных затрат * от * (не проведен)'
	И я нажимаю на кнопку с именем 'ФормаПровести'
	Тогда открылось окно 'Поступление дополнительных затрат * от *'
	И Я заканчиваю создавать поступление дополнительных затрат

Сценарий: 005.2. financial_results. Проверка движений поступления дополнительных затрат 21.02.2021

	И Я проверяю движения поступления дополнительных затрат "ПоступлениеДопЗатратНижегородскоеМолоко"

Сценарий: 005.3. financial_results. Проверка заполения поступления дополнительных затрат

	И Я начинаю создавать поступление дополнительных затрат на дату "21.01.2021"
	И из выпадающего списка с именем "Холдинг" я выбираю по строке 'Дом молока'
	* Выбор контрагента
		И я нажимаю кнопку выбора у поля с именем "Контрагент"
		Тогда открылось окно 'Контрагенты'
		И таблица "Список" стала равной:
			| 'Наименование'         | 'Холдинг'    |
			| 'Нижегородское молоко' | 'Дом молока' |
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'         | 'Холдинг'    |
			| 'Нижегородское молоко' | 'Дом молока' |
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Поступление доп. затрат (создание) *'
	И в поле с именем 'НомерПоДаннымКлиента' я ввожу текст '1'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'ТД_Молочный мир'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Склад готовой продукции'
	* Проверка заполнения
		И элемент формы с именем "Соглашение" стал равен 'Соглашение с Нижегородским молоком с 01.01.2021'
		И элемент формы с именем "Заказ" стал равен ''
		И элемент формы с именем "Холдинг" стал равен 'Дом молока'
		И элемент формы с именем "Контрагент" стал равен 'Нижегородское молоко'
		И элемент формы с именем "Склад" стал равен 'Склад готовой продукции'
		И элемент формы с именем "ДатаДоставки" стал равен '21.01.2021'
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Дата" стал равен '21.01.2021  0:00:00'
		И элемент формы с именем "НомерПоДаннымКлиента" стал равен '1'
		И элемент формы с именем "ДатаПоДаннымКлиента" стал равен '21.01.2021'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "МоментОпределенияЦены" стал равен 'На дату заказа'
		И элемент формы с именем "ВидЦен" стал равен 'Цены: Нижегородское молоко'
		И элемент формы с именем "ЦенаВключаетНДС" стал равен 'Да'
		И элемент формы с именем "Налогообложение" стал равен 'Облагается (с НДС)'
	* Выбор Соглашения
		И я нажимаю кнопку выбора у поля с именем "Соглашение"
		Тогда открылось окно 'Соглашения с контрагентами'
		И таблица "Список" стала равной:
			| 'Наименование'                                    |
			| 'Соглашение с Нижегородским молоком с 01.01.2021' |
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                                    |
			| 'Соглашение с Нижегородским молоком с 01.01.2021' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Поступление доп. затрат (создание) *'
	* Подбор товаров
		И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыПодобрать'
		Тогда открылось окно 'Подбор поступлений'
		* Проверка отбора по периоду
			И я нажимаю кнопку выбора у поля с именем "Период"
			И Я указываю в диалоге стандартного периода период с "21.02.2021" по "21.02.2021"
			Тогда открылось окно 'Подбор поступлений'
			И я нажимаю на кнопку с именем 'ТоварыЗаполнить'
			Тогда таблица "Товары" стала равной по шаблону:
				| 'Документ поступления'                        | 'Отметка' | 'Серия'                        | 'Номенклатура' | 'Ед.' | 'Характеристика' | 'Количество' | 'Всего, RUB' | 'Ставка НДС' | 'Вес, кг' |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Да'      | '000001 до 07.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '10,000'     | '360,00'     | '20%'        | '10'      |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Да'      | '000001 до 07.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '10,000'     | '320,00'     | '20%'        | '10'      |
			И я нажимаю кнопку выбора у поля с именем "Период"
			И Я указываю в диалоге стандартного периода период с "20.02.2021" по "21.02.2021"
			Тогда открылось окно 'Подбор поступлений'
			И я нажимаю на кнопку с именем 'ТоварыЗаполнить'
			Тогда таблица "Товары" стала равной по шаблону:
				| 'Документ поступления'                        | 'Отметка' | 'Серия'                        | 'Номенклатура' | 'Ед.' | 'Характеристика' | 'Количество' | 'Всего, RUB' | 'Ставка НДС' | 'Вес, кг' |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '20,000'     | '680,00'     | '20%'        | '20'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '15,000'     | '465,00'     | '20%'        | '15'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Кефир'        | 'шт'  | ''               | '30,000'     | '960,00'     | '20%'        | '30'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Творог'       | 'шт'  | ''               | '28,000'     | '2 380,00'   | '20%'        | '28'      |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Да'      | '000001 до 07.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '10,000'     | '360,00'     | '20%'        | '10'      |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Да'      | '000001 до 07.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '10,000'     | '320,00'     | '20%'        | '10'      |
		* Снятие пометок
			И я нажимаю на кнопку с именем 'ТоварыСнятьВсе'
			Тогда таблица "Товары" стала равной по шаблону:
				| 'Документ поступления'                        | 'Отметка' | 'Серия'                        | 'Номенклатура' | 'Ед.' | 'Характеристика' | 'Количество' | 'Всего, RUB' | 'Ставка НДС' | 'Вес, кг' |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Нет'     | '000001 до 06.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '20,000'     | '680,00'     | '20%'        | '20'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Нет'     | '000001 до 06.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '15,000'     | '465,00'     | '20%'        | '15'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Нет'     | '000001 до 06.03.2021 0:00:00' | 'Кефир'        | 'шт'  | ''               | '30,000'     | '960,00'     | '20%'        | '30'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Нет'     | '000001 до 06.03.2021 0:00:00' | 'Творог'       | 'шт'  | ''               | '28,000'     | '2 380,00'   | '20%'        | '28'      |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Нет'     | '000001 до 07.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '10,000'     | '360,00'     | '20%'        | '10'      |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Нет'     | '000001 до 07.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '10,000'     | '320,00'     | '20%'        | '10'      |
		* Установить все пометки
			И я нажимаю на кнопку с именем 'ТоварыВыбратьВсе'
			Тогда таблица "Товары" стала равной по шаблону:
				| 'Документ поступления'                        | 'Отметка' | 'Серия'                        | 'Номенклатура' | 'Ед.' | 'Характеристика' | 'Количество' | 'Всего, RUB' | 'Ставка НДС' | 'Вес, кг' |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '20,000'     | '680,00'     | '20%'        | '20'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '15,000'     | '465,00'     | '20%'        | '15'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Кефир'        | 'шт'  | ''               | '30,000'     | '960,00'     | '20%'        | '30'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Творог'       | 'шт'  | ''               | '28,000'     | '2 380,00'   | '20%'        | '28'      |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Да'      | '000001 до 07.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '10,000'     | '360,00'     | '20%'        | '10'      |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Да'      | '000001 до 07.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '10,000'     | '320,00'     | '20%'        | '10'      |
		* Изменение порядка
			И в таблице "Товары" я перехожу к строке:
				| 'Вес, кг' | 'Всего, RUB' | 'Количество' | 'Номенклатура' | 'Отметка' | 'Серия'                        | 'Ставка НДС' |
				| '10'      | '360,00'     | '10,000'     | 'Молоко 3,2 %' | 'Да'      | '000001 до 07.03.2021 0:00:00' | '20%'        |
			И я нажимаю на кнопку с именем 'ТоварыПереместитьВверх'
			И в таблице "Товары" я перехожу к строке:
				| 'Вес, кг' | 'Всего, RUB' | 'Количество' | 'Номенклатура' | 'Отметка' | 'Серия'                        | 'Ставка НДС' |
				| '20'      | '680,00'     | '20,000'     | 'Молоко 3,2 %' | 'Да'      | '000001 до 06.03.2021 0:00:00' | '20%'        |
			И я нажимаю на кнопку с именем 'ТоварыПереместитьВниз'
			Тогда таблица "Товары" стала равной по шаблону:
				| 'Документ поступления'                        | 'Отметка' | 'Серия'                        | 'Номенклатура' | 'Ед.' | 'Характеристика' | 'Количество' | 'Всего, RUB' | 'Ставка НДС' | 'Вес, кг' |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '15,000'     | '465,00'     | '20%'        | '15'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '20,000'     | '680,00'     | '20%'        | '20'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Кефир'        | 'шт'  | ''               | '30,000'     | '960,00'     | '20%'        | '30'      |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Да'      | '000001 до 07.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '10,000'     | '360,00'     | '20%'        | '10'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Творог'       | 'шт'  | ''               | '28,000'     | '2 380,00'   | '20%'        | '28'      |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Да'      | '000001 до 07.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '10,000'     | '320,00'     | '20%'        | '10'      |
		* Снятие пометок вручную
			И в таблице "Товары" я перехожу к строке:
				| 'Вес, кг' | 'Всего, RUB' | 'Ед.' | 'Количество' | 'Номенклатура' | 'Отметка' | 'Серия'                        | 'Ставка НДС' |
				| '10'      | '360,00'     | 'шт'  | '10,000'     | 'Молоко 3,2 %' | 'Да'      | '000001 до 07.03.2021 0:00:00' | '20%'        |
			И в таблице "Товары" я снимаю флаг с именем 'ТоварыОтметка'
			И в таблице "Товары" я завершаю редактирование строки
			И в таблице "Товары" я перехожу к строке:
				| 'Вес, кг' | 'Всего, RUB' | 'Ед.' | 'Количество' | 'Номенклатура' | 'Отметка' | 'Серия'                        | 'Ставка НДС' |
				| '10'      | '320,00'     | 'шт'  | '10,000'     | 'Молоко 2,5 %' | 'Да'      | '000001 до 07.03.2021 0:00:00' | '20%'        |
			И в таблице "Товары" я снимаю флаг с именем 'ТоварыОтметка'
			И в таблице "Товары" я завершаю редактирование строки
			Тогда таблица "Товары" стала равной по шаблону:
				| 'Документ поступления'                        | 'Отметка' | 'Серия'                        | 'Номенклатура' | 'Ед.' | 'Характеристика' | 'Количество' | 'Всего, RUB' | 'Ставка НДС' | 'Вес, кг' |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '15,000'     | '465,00'     | '20%'        | '15'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '20,000'     | '680,00'     | '20%'        | '20'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Кефир'        | 'шт'  | ''               | '30,000'     | '960,00'     | '20%'        | '30'      |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Нет'     | '000001 до 07.03.2021 0:00:00' | 'Молоко 3,2 %' | 'шт'  | ''               | '10,000'     | '360,00'     | '20%'        | '10'      |
				| 'Поступление товаров и услуг * от 20.02.2021' | 'Да'      | '000001 до 06.03.2021 0:00:00' | 'Творог'       | 'шт'  | ''               | '28,000'     | '2 380,00'   | '20%'        | '28'      |
				| 'Поступление товаров и услуг * от 21.02.2021' | 'Нет'     | '000001 до 07.03.2021 0:00:00' | 'Молоко 2,5 %' | 'шт'  | ''               | '10,000'     | '320,00'     | '20%'        | '10'      |
		* Передаем результат
			И я нажимаю на кнопку с именем 'ФормаПередать'
			Тогда открылось окно 'Поступление доп. затрат (создание) *'
			Тогда таблица "Товары" стала равной по шаблону:
				| 'Услуги, RUB' | 'Количество' | 'Поступление'                                 | 'Номенклатура' | 'Коэф.' | 'Ед.' | 'Характеристика'    | 'Серия'                        | 'Всего, RUB' | '% НДС' | 'Вес, кг' |
				| ''            | '15,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 2,5 %' | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '465,00'     | '20%'   | '15'      |
				| ''            | '20,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 3,2 %' | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '680,00'     | '20%'   | '20'      |
				| ''            | '30,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Кефир'        | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '960,00'     | '20%'   | '30'      |
				| ''            | '28,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Творог'       | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '2 380,00'   | '20%'   | '28'      |
	* Добавление услуги
		И я перехожу к закладке с именем "СтраницаУслуги"
		И в таблице "Услуги" я нажимаю на кнопку с именем 'УслугиДобавить'
		И в таблице "Услуги" из выпадающего списка с именем "УслугиНоменклатура" я выбираю по строке 'Доставка поставщика'
		И в таблице "Услуги" в поле с именем 'УслугиКоличество' я ввожу текст '2,000'
		И в таблице "Услуги" в поле с именем 'УслугиЦена' я ввожу текст '100,00'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | '% Скидки' | 'Номенклатура'        | 'Ед.' | 'Цена, RUB' | 'Скидка' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' |
			| '2,000'      | '%'        | 'Доставка поставщика' | 'шт'  | '100,00'    | 'сумма'  | '100,00'               | '200,00'     | '20%'   | '33,33'    | '200,00'     |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '33,33'
		И элемент формы с именем "СуммаДокумента" стал равен '200,00'
	* Копирование услуги
		И в таблице "Услуги" я перехожу к строке:
			| 'Номенклатура'        |
			| 'Доставка поставщика' |
		И я выбираю пункт контекстного меню с именем 'УслугиКонтекстноеМенюСкопировать' на элементе формы с именем "Услуги"
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | '% Скидки' | 'Номенклатура'        | 'Ед.' | 'Цена, RUB' | 'Скидка' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' |
			| '2,000'      | '%'        | 'Доставка поставщика' | 'шт'  | '100,00'    | 'сумма'  | '100,00'               | '200,00'     | '20%'   | '33,33'    | '200,00'     |
			| '2,000'      | '%'        | 'Доставка поставщика' | 'шт'  | '100,00'    | 'сумма'  | '100,00'               | '200,00'     | '20%'   | '33,33'    | '200,00'     |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '66,67'
		И элемент формы с именем "СуммаДокумента" стал равен '400,00'
	* Удаление услуги
		И в таблице "Услуги" я перехожу к строке:
			| 'Номенклатура'        |
			| 'Доставка поставщика' |
		И я выбираю пункт контекстного меню с именем 'УслугиКонтекстноеМенюУдалить' на элементе формы с именем "Услуги"
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | '% Скидки' | 'Номенклатура'        | 'Ед.' | 'Цена, RUB' | 'Скидка' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' |
			| '2,000'      | '%'        | 'Доставка поставщика' | 'шт'  | '100,00'    | 'сумма'  | '100,00'               | '200,00'     | '20%'   | '33,33'    | '200,00'     |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '33,33'
		И элемент формы с именем "СуммаДокумента" стал равен '200,00'
	* Проверка перемещения услуги вверх в списке
		И в таблице "Услуги" я нажимаю на кнопку с именем 'УслугиДобавить'
		И в таблице "Услуги" из выпадающего списка с именем "УслугиНоменклатура" я выбираю по строке 'Аренда'
		И в таблице "Услуги" я завершаю редактирование строки
		И в таблице "Услуги" я активизирую поле с именем "УслугиНоменклатура"
		И в таблице "Услуги" я перехожу к строке:
			| 'Номенклатура' |
			| 'Аренда'       |
		И в таблице "Услуги" я нажимаю на кнопку с именем 'УслугиПереместитьВверх'
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | '% Скидки' | 'Номенклатура'        | 'Ед.' | 'Цена, RUB' | 'Скидка' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' |
			| ''           | '100%'     | 'Аренда'              | 'шт'  | ''          | 'сумма'  | ''                     | ''           | '20%'   | ''         | ''           |
			| '2,000'      | '%'        | 'Доставка поставщика' | 'шт'  | '100,00'    | 'сумма'  | '100,00'               | '200,00'     | '20%'   | '33,33'    | '200,00'     |
	* Проверка перемещения услуги вниз в списке
		И в таблице "Услуги" я перехожу к строке:
			| 'Номенклатура' |
			| 'Аренда'       |
		И в таблице "Услуги" я нажимаю на кнопку с именем 'УслугиПереместитьВниз'
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | '% Скидки' | 'Номенклатура'        | 'Ед.' | 'Цена, RUB' | 'Скидка' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' |
			| '2,000'      | '%'        | 'Доставка поставщика' | 'шт'  | '100,00'    | 'сумма'  | '100,00'               | '200,00'     | '20%'   | '33,33'    | '200,00'     |
			| ''           | '100%'     | 'Аренда'              | 'шт'  | ''          | 'сумма'  | ''                     | ''           | '20%'   | ''         | ''           |
		И в таблице "Услуги" я перехожу к строке:
			| 'Номенклатура' |
			| 'Аренда'       |	
		И я выбираю пункт контекстного меню с именем 'УслугиКонтекстноеМенюУдалить' на элементе формы с именем "Услуги"
		И в таблице "Услуги" я завершаю редактирование строки
	* Изменение количества
		И в таблице "Услуги" в поле с именем 'УслугиКоличество' я ввожу текст '5,000'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | '% Скидки' | 'Номенклатура'        | 'Ед.' | 'Цена, RUB' | 'Скидка' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' |
			| '5,000'      | '%'        | 'Доставка поставщика' | 'шт'  | '100,00'    | 'сумма'  | '100,00'               | '500,00'     | '20%'   | '83,33'    | '500,00'     |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '83,33'
		И элемент формы с именем "СуммаДокумента" стал равен '500,00'
	* Изменение цены
		И в таблице "Услуги" в поле с именем 'УслугиЦена' я ввожу текст '200,00'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | '% Скидки' | 'Номенклатура'        | 'Ед.' | 'Цена, RUB' | 'Скидка' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' |
			| '5,000'      | '%'        | 'Доставка поставщика' | 'шт'  | '200,00'    | 'сумма'  | '200,00'               | '1 000,00'   | '20%'   | '166,67'   | '1 000,00'   |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '166,67'
		И элемент формы с именем "СуммаДокумента" стал равен '1 000,00'
	* Изменение ставки НДС
		И в таблице "Услуги" из выпадающего списка с именем "УслугиСтавкаНДС" я выбираю точное значение '10%'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | '% Скидки' | 'Номенклатура'        | 'Ед.' | 'Цена, RUB' | 'Скидка' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' |
			| '5,000'      | '%'        | 'Доставка поставщика' | 'шт'  | '200,00'    | 'сумма'  | '200,00'               | '1 000,00'   | '10%'   | '90,91'    | '1 000,00'   |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '90,91'
		И элемент формы с именем "СуммаДокумента" стал равен '1 000,00'
	* Распределение по количеству
		И я перехожу к закладке с именем "СтраницаТовары"
		И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыРаспределитьПоКоличеству'
		Тогда таблица "Товары" стала равной по шаблону:
			| 'Услуги, RUB' | 'Количество' | 'Поступление'                                 | 'Номенклатура' | 'Коэф.' | 'Ед.' | 'Характеристика'    | 'Серия'                        | 'Всего, RUB' | '% НДС' | 'Вес, кг' |
			| '161,29'      | '15,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 2,5 %' | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '465,00'     | '20%'   | '15'      |
			| '215,05'      | '20,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 3,2 %' | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '680,00'     | '20%'   | '20'      |
			| '322,58'      | '30,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Кефир'        | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '960,00'     | '20%'   | '30'      |
			| '301,08'      | '28,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Творог'       | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '2 380,00'   | '20%'   | '28'      |
	* Распределение по сумме
		И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыРаспределитьПоСумме'
		Тогда таблица "Товары" стала равной по шаблону:
			| 'Услуги, RUB' | 'Количество' | 'Поступление'                                 | 'Номенклатура' | 'Коэф.' | 'Ед.' | 'Характеристика'    | 'Серия'                        | 'Всего, RUB' | '% НДС' | 'Вес, кг' |
			| '103,68'      | '15,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 2,5 %' | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '465,00'     | '20%'   | '15'      |
			| '151,62'      | '20,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 3,2 %' | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '680,00'     | '20%'   | '20'      |
			| '214,05'      | '30,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Кефир'        | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '960,00'     | '20%'   | '30'      |
			| '530,65'      | '28,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Творог'       | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '2 380,00'   | '20%'   | '28'      |
	* Распределение по весу
		И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыРаспределитьПоВесу'
		Тогда таблица "Товары" стала равной по шаблону:
			| 'Услуги, RUB' | 'Количество' | 'Поступление'                                 | 'Номенклатура' | 'Коэф.' | 'Ед.' | 'Характеристика'    | 'Серия'                        | 'Всего, RUB' | '% НДС' | 'Вес, кг' |
			| '161,29'      | '15,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 2,5 %' | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '465,00'     | '20%'   | '15'      |
			| '215,05'      | '20,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 3,2 %' | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '680,00'     | '20%'   | '20'      |
			| '322,58'      | '30,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Кефир'        | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '960,00'     | '20%'   | '30'      |
			| '301,08'      | '28,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Творог'       | ''      | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '2 380,00'   | '20%'   | '28'      |
	* Распределение по коэффициентам
		И Я устанавливаю коэффициент "1,000" для номенклатуры "Молоко 2,5 %" в поступлении дополнительных затрат
		И Я устанавливаю коэффициент "2,000" для номенклатуры "Молоко 3,2 %" в поступлении дополнительных затрат
		И Я устанавливаю коэффициент "2,000" для номенклатуры "Кефир" в поступлении дополнительных затрат
		И Я устанавливаю коэффициент "1,000" для номенклатуры "Творог" в поступлении дополнительных затрат
		И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыРаспределитьПоКоэффициентам'
		Тогда таблица "Товары" стала равной по шаблону:
			| 'Услуги, RUB' | 'Количество' | 'Поступление'                                 | 'Номенклатура' | 'Коэф.' | 'Ед.' | 'Характеристика'    | 'Серия'                        | 'Всего, RUB' | '% НДС' | 'Вес, кг' |
			| '166,67'      | '15,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 2,5 %' | '1,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '465,00'     | '20%'   | '15'      |
			| '333,33'      | '20,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 3,2 %' | '2,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '680,00'     | '20%'   | '20'      |
			| '333,33'      | '30,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Кефир'        | '2,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '960,00'     | '20%'   | '30'      |
			| '166,67'      | '28,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Творог'       | '1,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '2 380,00'   | '20%'   | '28'      |
	* Проверка перемещения товара вниз в списке
		И в таблице "Товары" я перехожу к строке:
			| 'Номенклатура' |
			| 'Молоко 2,5 %' |
		И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыПереместитьВниз'
		Тогда таблица "Товары" стала равной по шаблону:
			| 'Услуги, RUB' | 'Количество' | 'Поступление'                                 | 'Номенклатура' | 'Коэф.' | 'Ед.' | 'Характеристика'    | 'Серия'                        | 'Всего, RUB' | '% НДС' | 'Вес, кг' |
			| '333,33'      | '20,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 3,2 %' | '2,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '680,00'     | '20%'   | '20'      |
			| '166,67'      | '15,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 2,5 %' | '1,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '465,00'     | '20%'   | '15'      |
			| '333,33'      | '30,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Кефир'        | '2,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '960,00'     | '20%'   | '30'      |
			| '166,67'      | '28,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Творог'       | '1,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '2 380,00'   | '20%'   | '28'      |
	* Проверка перемещения товара вверх в списке
		И в таблице "Товары" я перехожу к строке:
			| 'Номенклатура' |
			| 'Творог'       |
		И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыПереместитьВверх'
		Тогда таблица "Товары" стала равной по шаблону:
			| 'Услуги, RUB' | 'Количество' | 'Поступление'                                 | 'Номенклатура' | 'Коэф.' | 'Ед.' | 'Характеристика'    | 'Серия'                        | 'Всего, RUB' | '% НДС' | 'Вес, кг' |
			| '333,33'      | '20,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 3,2 %' | '2,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '680,00'     | '20%'   | '20'      |
			| '166,67'      | '15,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Молоко 2,5 %' | '1,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '465,00'     | '20%'   | '15'      |
			| '166,67'      | '28,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Творог'       | '1,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '2 380,00'   | '20%'   | '28'      |
			| '333,33'      | '30,000'     | 'Поступление товаров и услуг * от 20.02.2021' | 'Кефир'        | '2,000' | 'шт'  | '<не используются>' | '000001 до 06.03.2021 0:00:00' | '960,00'     | '20%'   | '30'      |
	* Заполнение ответственного и подразделения
		И из выпадающего списка с именем "Ответственный" я выбираю по строке 'Администратор'
		И из выпадающего списка с именем "Подразделение" я выбираю по строке 'Склад'
	* Закрытие поступления доп. затрат без сохранения
		И Я закрываю окно 'Поступление доп. затрат (создание) *'
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Нет'
		Тогда открылось окно 'Поступления дополнительных затрат'
		И Я закрываю окно 'Поступления дополнительных затрат'

Сценарий: 005.4. financial_results. Проверка отборов на форме списка поступления дополнительных затрат

	И В командном интерфейсе я выбираю 'Деньги' 'Поступления дополнительных затрат'
	Тогда открылось окно 'Поступления дополнительных затрат'
	* Проверка отбора по периоду
		И я нажимаю на гиперссылку "Период"
		И Я указываю в диалоге стандартного периода период с "01.03.2021" по "31.03.2021"
		Тогда открылось окно 'Поступления дополнительных затрат'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по периоду
		И я нажимаю на гиперссылку 'Период'
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Поступления дополнительных затрат'
	* Проверка отбора по дате доставки
		И я нажимаю на гиперссылку 'Дата доставки'
		И Я указываю в диалоге стандартного периода период с "01.03.2021" по "31.03.2021"
		Тогда открылось окно 'Поступления дополнительных затрат'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по дате доставки
		И я нажимаю на гиперссылку 'Дата доставки'
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Поступления дополнительных затрат'
	* Проверка отбора по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по организации
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Проверка отбора по подразделению
		И из выпадающего списка с именем "_Отбор_Подразделение" я выбираю по строке 'Маркетинг'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по подразделению
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	* Проверка отбора по поставщику
		И из выпадающего списка с именем "_Отбор_Поставщик" я выбираю по строке 'Магнит'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по поставщику
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Поставщик"
	* Проверка отбора по складу
		И из выпадающего списка с именем "_Отбор_Склад" я выбираю по строке 'Склад готовой продукции'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Сумма'      | 'Поставщик'            | 'Доставка'   | 'Организация'     | 'Подразделение' | 'Комментарий'                             |
			| '21.02.2021' | '10,00, RUB' | 'Нижегородское молоко' | '21.02.2021' | 'ТД_Молочный мир' | ''              | 'ПоступлениеДопЗатратНижегородскоеМолоко' |
	* Очистка отбора по складу
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Склад"
	* Проверка отбора по услуге
		И из выпадающего списка с именем "_Отбор_УслугиНоменклатура" я выбираю по строке 'Аренда'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по услуге
		И я нажимаю кнопку очистить у поля с именем "_Отбор_УслугиНоменклатура"
	* Проверка отбора по документу поступления
		И я нажимаю кнопку выбора у поля с именем "_Отбор_ТоварыДокументПоступления"
		Тогда открылось окно 'Выбор типа данных'
		И в таблице "" я перехожу к строке:
			| ''                            |
			| 'Поступление товаров и услуг' |
		И в таблице "" я выбираю текущую строку
		Тогда открылось окно 'Поступления товаров и услуг'
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                            |
			| 'ПоступлениеНижегородскоеМолоко20022021' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Поступления дополнительных затрат'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по документу поступления
		И я нажимаю кнопку очистить у поля с именем "_Отбор_ТоварыДокументПоступления"
	* Проверка отбора по номенклатуре
		И из выпадающего списка с именем "_Отбор_ТоварыНоменклатура" я выбираю по строке 'Творог'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по номенклатуре
		И я нажимаю кнопку очистить у поля с именем "_Отбор_ТоварыНоменклатура"
	* Проверка отбора по ответственному
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Пользователь'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по ответственному
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Поступления дополнительных затрат'